package com.zm.order.tool.server.dto;

import com.alibaba.fastjson.JSON;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @author NianChang
 * @ClassName OrderItemBatchingDTO
 * @date 2021/03/22 3:56 下午
 */
public class OrderItemBatchingDTO {

    /**
     * 主键
     */
    private Long id;

    /**
     * 商家id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 加料ID
     */
    private String batchingId;

    /**
     * 加料名称
     */
    private String batchingName;

    /**
     * 加料编码
     */
    private String code;

    /**
     * 购买数量
     */
    private Integer num;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 订单商品主键id
     */
    private Long orderItemId;

    /**
     * 扩展
     */
    private Map<String, Object> extraMap;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getBatchingId() {
        return batchingId;
    }

    public void setBatchingId(String batchingId) {
        this.batchingId = batchingId;
    }

    public String getBatchingName() {
        return batchingName;
    }

    public void setBatchingName(String batchingName) {
        this.batchingName = batchingName;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Map<String, Object> getExtraMap() {
        return extraMap;
    }

    public void setExtraMap(Map<String, Object> extraMap) {
        this.extraMap = extraMap;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
